package com.ruoyi.model.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 保证金记录对象 app_deposit
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public class AppDeposit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 保证金编号 */
    private Long id;

    /** 明细名称 */
    @Excel(name = "明细名称")
    private String detailsName;

    /** 交易金额 */
    @Excel(name = "交易金额")
    private BigDecimal detailsPrice;

    /** 交易类型: 1为收入明细，2为支出明细 */
    @Excel(name = "交易类型: 1为收入明细，2为支出明细")
    private Long transactionType;

    /** 伴宠师ID */
    @Excel(name = "伴宠师ID")
    private Long usersId;

    /** 删除标志 */
    private Integer delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDetailsName(String detailsName) 
    {
        this.detailsName = detailsName;
    }

    public String getDetailsName() 
    {
        return detailsName;
    }
    public void setDetailsPrice(BigDecimal detailsPrice) 
    {
        this.detailsPrice = detailsPrice;
    }

    public BigDecimal getDetailsPrice() 
    {
        return detailsPrice;
    }
    public void setTransactionType(Long transactionType) 
    {
        this.transactionType = transactionType;
    }

    public Long getTransactionType() 
    {
        return transactionType;
    }
    public void setUsersId(Long usersId) 
    {
        this.usersId = usersId;
    }

    public Long getUsersId() 
    {
        return usersId;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("detailsName", getDetailsName())
            .append("detailsPrice", getDetailsPrice())
            .append("transactionType", getTransactionType())
            .append("usersId", getUsersId())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
